Managed Service for Hive Metastore™ API, REST: Cluster.Update
Updates the configuration of the specified Metastore Cluster.
HTTP request
PATCH https://metastore.api.cloud.yandex.net/managed-metastore/v1/clusters/{clusterId}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Metastore Cluster to update. The maximum string length in characters is 50. |
Body parameters
{
"updateMask": "string",
"name": "string",
"description": "string",
"labels": "object",
"deletionProtection": "boolean",
"serviceAccountId": "string",
"logging": {
// Includes only one of the fields `folderId`, `logGroupId`
"folderId": "string",
"logGroupId": "string",
// end of the list of possible fields
"enabled": "boolean",
"minLevel": "string"
},
"networkSpec": {
"securityGroupIds": [
"string"
]
},
"configSpec": {
"resources": {
"resourcePresetId": "string"
},
"warehouse": {
// Includes only one of the fields `s3`
"s3": {
"bucket": "string",
"path": "string"
}
// end of the list of possible fields
}
},
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
},
"version": "string"
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
name |
string New name of the Metastore Cluster. Value must match the regular expression |
|
description |
string New description of the Metastore Cluster. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the Metastore Cluster as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
deletionProtection |
boolean Deletion Protection prevents deletion of the cluster. |
|
serviceAccountId |
string Service account used to access Cloud resources. The maximum string length in characters is 50. |
|
logging |
Cloud logging configuration. |
|
networkSpec |
Network-related configuration options. |
|
configSpec |
Metastore Cluster configuration. |
|
maintenanceWindow |
Maintenance window. |
|
version |
string Metastore server version. |
LoggingConfig
|
Field |
Description |
|
folderId |
string Logs will be written to the default log group of the specified folder. Value must match the regular expression Includes only one of the fields Destination of log records. |
|
logGroupId |
string Logs will be written to the log group specified by its ID. Value must match the regular expression Includes only one of the fields Destination of log records. |
|
enabled |
boolean Logs generated by the Metastore server are delivered to Cloud Logging. |
|
minLevel |
enum (Level) Minimum severity level for log entries.
|
UpdateNetworkConfigSpec
|
Field |
Description |
|
securityGroupIds[] |
string User security groups. |
UpdateClusterConfigSpec
|
Field |
Description |
|
resources |
Configuration for computational resources for Metastore server instances. |
|
warehouse |
Configuration of warehouse. |
Resources
|
Field |
Description |
|
resourcePresetId |
string Required field. ID of the preset for computational resources allocated to an instance (e.g., CPU, memory, etc.). The maximum string length in characters is 50. |
WarehouseConfig
|
Field |
Description |
|
s3 |
Yandex Cloud Object Storage. Includes only one of the fields |
S3Warehouse
|
Field |
Description |
|
bucket |
string Required field. Bucket name to use. |
|
path |
string Path within the bucket to use. Value must match the regular expression |
MaintenanceWindow
|
Field |
Description |
|
anytime |
object The cluster may be restarted for maintenance at any time. Includes only one of the fields |
|
weeklyMaintenanceWindow |
Maintenance is allowed only within the specified weekly window. Includes only one of the fields |
WeeklyMaintenanceWindow
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week when maintenance can occur.
|
|
hour |
string (int64) Hour of the day in UTC when the maintenance window starts. Acceptable values are 1 to 24, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |